<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::MocoTropterSolver::ExplicitTropterProblem&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::MocoTropterSolver::ExplicitTropterProblem&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::MocoTropterSolver::ExplicitTropterProblem&lt; T &gt;:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.png" usemap="#OpenSim::MocoTropterSolver::ExplicitTropterProblem_3C_20T_20_3E_map" alt=""/>
  <map id="OpenSim::MocoTropterSolver::ExplicitTropterProblem_3C_20T_20_3E_map" name="OpenSim::MocoTropterSolver::ExplicitTropterProblem_3C_20T_20_3E_map">
<area href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html" alt="OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;" shape="rect" coords="0,56,343,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a45882613b70d6533aa904819f5915325"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html#a45882613b70d6533aa904819f5915325">ExplicitTropterProblem</a> (const <a class="el" href="classOpenSim_1_1MocoTropterSolver.html">MocoTropterSolver</a> &amp;solver)</td></tr>
<tr class="separator:a45882613b70d6533aa904819f5915325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa602126238459f00d68e661df758f44c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html#aa602126238459f00d68e661df758f44c">initialize_on_mesh</a> (const Eigen::VectorXd &amp;) const override</td></tr>
<tr class="separator:aa602126238459f00d68e661df758f44c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a394c71db23b4d9d799cc953cdc5d547f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html#a394c71db23b4d9d799cc953cdc5d547f">calc_differential_algebraic_equations</a> (const tropter::Input&lt; T &gt; &amp;in, tropter::Output&lt; T &gt; out) const override</td></tr>
<tr class="separator:a394c71db23b4d9d799cc953cdc5d547f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td></tr>
<tr class="memitem:ac05f1989e272a20d7731f09de5c2ea97 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memTemplParams" colspan="2">template&lt;typename MocoTrajectoryType , typename tropIterateType &gt; </td></tr>
<tr class="memitem:ac05f1989e272a20d7731f09de5c2ea97 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memTemplItemLeft" align="right" valign="top">MocoTrajectoryType&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ac05f1989e272a20d7731f09de5c2ea97">convertIterateTropterToMoco</a> (const tropIterateType &amp;tropSol) const</td></tr>
<tr class="separator:ac05f1989e272a20d7731f09de5c2ea97 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbace7ac065e345b47c65a6225e35b2a inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">MocoTrajectory</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#abbace7ac065e345b47c65a6225e35b2a">convertToMocoTrajectory</a> (const tropter::Iterate &amp;tropSol) const</td></tr>
<tr class="separator:abbace7ac065e345b47c65a6225e35b2a inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a182ca3f2b26960a30003ac85aba6b145 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1MocoSolution.html">MocoSolution</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a182ca3f2b26960a30003ac85aba6b145">convertToMocoSolution</a> (const tropter::Solution &amp;tropSol) const</td></tr>
<tr class="separator:a182ca3f2b26960a30003ac85aba6b145 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cd5f97fe85c8a7c0ccc96ee7b6b071f inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">tropter::Iterate&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7cd5f97fe85c8a7c0ccc96ee7b6b071f">convertToTropterIterate</a> (const <a class="el" href="classOpenSim_1_1MocoTrajectory.html">MocoTrajectory</a> &amp;mocoIter) const</td></tr>
<tr class="separator:a7cd5f97fe85c8a7c0ccc96ee7b6b071f inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td></tr>
<tr class="memitem:a5d911ac064c0b2decc700e3084ea177b inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a5d911ac064c0b2decc700e3084ea177b">TropterProblemBase</a> (const <a class="el" href="classOpenSim_1_1MocoTropterSolver.html">MocoTropterSolver</a> &amp;solver, bool implicit=false)</td></tr>
<tr class="separator:a5d911ac064c0b2decc700e3084ea177b inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a598829729d95ef8070331977ba5a9c77 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a598829729d95ef8070331977ba5a9c77">addStateVariables</a> ()</td></tr>
<tr class="separator:a598829729d95ef8070331977ba5a9c77 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808880626da2e126e7f14fa5cb3ae1eb inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a808880626da2e126e7f14fa5cb3ae1eb">addControlVariables</a> ()</td></tr>
<tr class="separator:a808880626da2e126e7f14fa5cb3ae1eb inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c4b0e48d6c919b2c8802b2d9b0ff87a inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a9c4b0e48d6c919b2c8802b2d9b0ff87a">addCosts</a> ()</td></tr>
<tr class="separator:a9c4b0e48d6c919b2c8802b2d9b0ff87a inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a704bf161ccf676b08dc3d0cc671b23a6 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a704bf161ccf676b08dc3d0cc671b23a6">addKinematicConstraints</a> ()</td></tr>
<tr class="separator:a704bf161ccf676b08dc3d0cc671b23a6 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a010d18e045701d564302519ea7defdad inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a010d18e045701d564302519ea7defdad">addGenericPathConstraints</a> ()</td></tr>
<tr class="memdesc:a010d18e045701d564302519ea7defdad inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add any generic path constraints included in the problem.  <a href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a010d18e045701d564302519ea7defdad">More...</a><br /></td></tr>
<tr class="separator:a010d18e045701d564302519ea7defdad inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a931dd4b95e5ba8e44395c7c18981ae5a inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a931dd4b95e5ba8e44395c7c18981ae5a">addParameters</a> ()</td></tr>
<tr class="separator:a931dd4b95e5ba8e44395c7c18981ae5a inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc4f928fb5a6be8594703808a4a10dd5 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#abc4f928fb5a6be8594703808a4a10dd5">initialize_on_iterate</a> (const Eigen::VectorXd &amp;parameters) const override final</td></tr>
<tr class="separator:abc4f928fb5a6be8594703808a4a10dd5 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe0e15845a945621e965456da231221c inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#afe0e15845a945621e965456da231221c">setSimTKTimeAndStates</a> (const T &amp;time, Eigen::Ref&lt; const tropter::VectorX&lt; T &gt;&gt; states, SimTK::State &amp;simTKState) const</td></tr>
<tr class="separator:afe0e15845a945621e965456da231221c inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02874c535c804fe74e5c2eedb3da20e9 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a02874c535c804fe74e5c2eedb3da20e9">setSimTKState</a> (const tropter::Input&lt; T &gt; &amp;in) const</td></tr>
<tr class="separator:a02874c535c804fe74e5c2eedb3da20e9 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4701452d9a143cafa19ebf07bfc8e6ec inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a4701452d9a143cafa19ebf07bfc8e6ec">setSimTKStateForCostInitial</a> (const tropter::CostInput&lt; T &gt; &amp;in) const</td></tr>
<tr class="separator:a4701452d9a143cafa19ebf07bfc8e6ec inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdadbfd395c88088b685a0034e8f5f2a inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#afdadbfd395c88088b685a0034e8f5f2a">setSimTKStateForCostFinal</a> (const tropter::CostInput&lt; T &gt; &amp;in) const</td></tr>
<tr class="separator:afdadbfd395c88088b685a0034e8f5f2a inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f7d3a3d0b635432f3c86deacfe5dcb9 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7f7d3a3d0b635432f3c86deacfe5dcb9">setSimTKState</a> (const T &amp;time, const Eigen::Ref&lt; const tropter::VectorX&lt; T &gt;&gt; &amp;states, const Eigen::Ref&lt; const tropter::VectorX&lt; T &gt;&gt; &amp;controls, const Eigen::Ref&lt; const tropter::VectorX&lt; T &gt;&gt; &amp;adjuncts, int stateDisConIndex=0) const</td></tr>
<tr class="memdesc:a7f7d3a3d0b635432f3c86deacfe5dcb9 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use <code>stateDisConIndex</code> to specify which of the two stateDisabledConstraints from <a class="el" href="classOpenSim_1_1MocoProblemRep.html" title="The primary intent of this class is for use by MocoSolvers, but users can also use this class to appl...">MocoProblemRep</a> to update.  <a href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7f7d3a3d0b635432f3c86deacfe5dcb9">More...</a><br /></td></tr>
<tr class="separator:a7f7d3a3d0b635432f3c86deacfe5dcb9 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f248c1d9d4049f4be9ef243973c15dd inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a9f248c1d9d4049f4be9ef243973c15dd">calc_cost_integrand</a> (int cost_index, const tropter::Input&lt; T &gt; &amp;in, T &amp;integrand) const override</td></tr>
<tr class="separator:a9f248c1d9d4049f4be9ef243973c15dd inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5bc22e3a6598fc09caa16bfa2c4cc6a inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ac5bc22e3a6598fc09caa16bfa2c4cc6a">calc_cost</a> (int cost_index, const tropter::CostInput&lt; T &gt; &amp;in, T &amp;cost_value) const override</td></tr>
<tr class="separator:ac5bc22e3a6598fc09caa16bfa2c4cc6a inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c82ea5464ed2c8006ea6131cbdf5588 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a8c82ea5464ed2c8006ea6131cbdf5588">applyParametersToModelProperties</a> (const tropter::VectorX&lt; T &gt; &amp;parameters) const</td></tr>
<tr class="memdesc:a8c82ea5464ed2c8006ea6131cbdf5588 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Apply parameters to properties in <code>m_modelBase</code> and <code>m_modelDisabledConstraints</code>.  <a href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a8c82ea5464ed2c8006ea6131cbdf5588">More...</a><br /></td></tr>
<tr class="separator:a8c82ea5464ed2c8006ea6131cbdf5588 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9892042d0aff0b5b6f01e017b7351b2b inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a9892042d0aff0b5b6f01e017b7351b2b">calcAndApplyKinematicConstraintForces</a> (const tropter::VectorX&lt; T &gt; &amp;adjuncts, const SimTK::State &amp;stateBase, SimTK::State &amp;stateDisabledConstraints) const</td></tr>
<tr class="separator:a9892042d0aff0b5b6f01e017b7351b2b inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a25a4c4ff48bcdcac9fe1bcfdb8f1ab inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a2a25a4c4ff48bcdcac9fe1bcfdb8f1ab">calcKinematicConstraintErrors</a> (const SimTK::Vector &amp;udot, tropter::Output&lt; T &gt; &amp;out) const</td></tr>
<tr class="separator:a2a25a4c4ff48bcdcac9fe1bcfdb8f1ab inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a591dfa4e85b475205e0cd4fbb432c961 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a591dfa4e85b475205e0cd4fbb432c961">calcPathConstraintErrors</a> (const SimTK::State &amp;state, tropter::Output&lt; T &gt; &amp;out) const</td></tr>
<tr class="separator:a591dfa4e85b475205e0cd4fbb432c961 inherit pro_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td></tr>
<tr class="memitem:a07d5ff1d9c9d9bab13a3a7a732dedc18 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1MocoTropterSolver.html">MocoTropterSolver</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a07d5ff1d9c9d9bab13a3a7a732dedc18">m_mocoTropterSolver</a></td></tr>
<tr class="separator:a07d5ff1d9c9d9bab13a3a7a732dedc18 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3eea7a48a863fad0c663dcfd33e73a3d inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1MocoProblemRep.html">MocoProblemRep</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a3eea7a48a863fad0c663dcfd33e73a3d">m_mocoProbRep</a></td></tr>
<tr class="separator:a3eea7a48a863fad0c663dcfd33e73a3d inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24abac8b8f3d3334269d381fd32de60d inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Model.html">Model</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a24abac8b8f3d3334269d381fd32de60d">m_modelBase</a></td></tr>
<tr class="separator:a24abac8b8f3d3334269d381fd32de60d inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2423aee1be43dbf3be2fcf2dd1052b8 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">SimTK::State &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#aa2423aee1be43dbf3be2fcf2dd1052b8">m_stateBase</a></td></tr>
<tr class="separator:aa2423aee1be43dbf3be2fcf2dd1052b8 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f8f04b99e1fe47483e039e35197dea0 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Model.html">Model</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a1f8f04b99e1fe47483e039e35197dea0">m_modelDisabledConstraints</a></td></tr>
<tr class="separator:a1f8f04b99e1fe47483e039e35197dea0 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e7257cfc49917c107ab35150448726c inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">SimTK::State &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a2e7257cfc49917c107ab35150448726c">m_stateDisabledConstraints</a></td></tr>
<tr class="separator:a2e7257cfc49917c107ab35150448726c inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3ae389bf1803effec14a7fd2a0aaad1 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ae3ae389bf1803effec14a7fd2a0aaad1">m_implicit</a></td></tr>
<tr class="separator:ae3ae389bf1803effec14a7fd2a0aaad1 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49a06d7fe350b26d293291fe24b1e72e inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a49a06d7fe350b26d293291fe24b1e72e">m_multiplierCostIndex</a> = -1</td></tr>
<tr class="separator:a49a06d7fe350b26d293291fe24b1e72e inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a4015233307aaaec5c0ed70abcb05b7 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classOpenSim_1_1FileDeletionThrower.html">FileDeletionThrower</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7a4015233307aaaec5c0ed70abcb05b7">m_fileDeletionThrower</a></td></tr>
<tr class="separator:a7a4015233307aaaec5c0ed70abcb05b7 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f1364771977fdac257569214caff8b1 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a6f1364771977fdac257569214caff8b1">m_svNamesInSysOrder</a></td></tr>
<tr class="separator:a6f1364771977fdac257569214caff8b1 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06daa1fb7715ebd8f33abd46644cf59f inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a06daa1fb7715ebd8f33abd46644cf59f">m_yIndexMap</a></td></tr>
<tr class="separator:a06daa1fb7715ebd8f33abd46644cf59f inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af47e6985f83a5199516f3e47c38944b0 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">std::vector&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#af47e6985f83a5199516f3e47c38944b0">m_modelControlIndices</a></td></tr>
<tr class="separator:af47e6985f83a5199516f3e47c38944b0 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab345f853e5e404fec66273e61dc26eb4 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">SimTK::Vector_&lt; <a class="el" href="namespaceSimTK.html#a1d329505b61913c2732a25f6babdf634">SimTK::SpatialVec</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ab345f853e5e404fec66273e61dc26eb4">m_constraintBodyForces</a></td></tr>
<tr class="separator:ab345f853e5e404fec66273e61dc26eb4 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7ecc1d23e2b5b211e4196f6634f0b57 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">SimTK::Vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ab7ecc1d23e2b5b211e4196f6634f0b57">m_constraintMobilityForces</a></td></tr>
<tr class="separator:ab7ecc1d23e2b5b211e4196f6634f0b57 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c6be3bbbc0a99599356ba6f1ca27a8 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">SimTK::Vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a31c6be3bbbc0a99599356ba6f1ca27a8">qdot</a></td></tr>
<tr class="separator:a31c6be3bbbc0a99599356ba6f1ca27a8 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a905db253b5ebbce3a9bccb75ee900a8c inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">SimTK::Vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a905db253b5ebbce3a9bccb75ee900a8c">qdotCorr</a></td></tr>
<tr class="separator:a905db253b5ebbce3a9bccb75ee900a8c inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7219dde7664cf05e4b274eea9d8d03ae inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7219dde7664cf05e4b274eea9d8d03ae">m_total_mp</a> = 0</td></tr>
<tr class="separator:a7219dde7664cf05e4b274eea9d8d03ae inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e472072f03268b6968b2274ae55469e inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a0e472072f03268b6968b2274ae55469e">m_total_mv</a> = 0</td></tr>
<tr class="separator:a0e472072f03268b6968b2274ae55469e inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a662b5247552bd21fb57d753f62223ea5 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a662b5247552bd21fb57d753f62223ea5">m_total_ma</a> = 0</td></tr>
<tr class="separator:a662b5247552bd21fb57d753f62223ea5 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a5e8d1b9c90829fde3ab98b18f95471 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a1a5e8d1b9c90829fde3ab98b18f95471">m_numMultipliers</a> = 0</td></tr>
<tr class="separator:a1a5e8d1b9c90829fde3ab98b18f95471 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceee7b0fdb7e5669c04f42d5919b7758 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">SimTK::Vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#aceee7b0fdb7e5669c04f42d5919b7758">m_pvaerr</a></td></tr>
<tr class="separator:aceee7b0fdb7e5669c04f42d5919b7758 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94f762e7a24fb4db3e532a07f3e22d61 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a94f762e7a24fb4db3e532a07f3e22d61">m_numKinematicConstraintEquations</a> = 0</td></tr>
<tr class="separator:a94f762e7a24fb4db3e532a07f3e22d61 inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1887ddafbd71b2d106696057c0037d4a inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a1887ddafbd71b2d106696057c0037d4a">m_numPathConstraintEquations</a> = 0</td></tr>
<tr class="separator:a1887ddafbd71b2d106696057c0037d4a inherit pro_attribs_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a45882613b70d6533aa904819f5915325"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45882613b70d6533aa904819f5915325">&#9670;&nbsp;</a></span>ExplicitTropterProblem()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">OpenSim::MocoTropterSolver::ExplicitTropterProblem</a>&lt; T &gt;::<a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">ExplicitTropterProblem</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1MocoTropterSolver.html">MocoTropterSolver</a> &amp;&#160;</td>
          <td class="paramname"><em>solver</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a394c71db23b4d9d799cc953cdc5d547f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a394c71db23b4d9d799cc953cdc5d547f">&#9670;&nbsp;</a></span>calc_differential_algebraic_equations()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">OpenSim::MocoTropterSolver::ExplicitTropterProblem</a>&lt; T &gt;::calc_differential_algebraic_equations </td>
          <td>(</td>
          <td class="paramtype">const tropter::Input&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">tropter::Output&lt; T &gt;&#160;</td>
          <td class="paramname"><em>out</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a2a25a4c4ff48bcdcac9fe1bcfdb8f1ab">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::calcKinematicConstraintErrors()</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a591dfa4e85b475205e0cd4fbb432c961">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::calcPathConstraintErrors()</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a24abac8b8f3d3334269d381fd32de60d">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::m_modelBase</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a1f8f04b99e1fe47483e039e35197dea0">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::m_modelDisabledConstraints</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#aa2423aee1be43dbf3be2fcf2dd1052b8">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::m_stateBase</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a2e7257cfc49917c107ab35150448726c">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::m_stateDisabledConstraints</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a31c6be3bbbc0a99599356ba6f1ca27a8">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::qdot</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a905db253b5ebbce3a9bccb75ee900a8c">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::qdotCorr</a>, and <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a02874c535c804fe74e5c2eedb3da20e9">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::setSimTKState()</a>.</p>

</div>
</div>
<a id="aa602126238459f00d68e661df758f44c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa602126238459f00d68e661df758f44c">&#9670;&nbsp;</a></span>initialize_on_mesh()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">OpenSim::MocoTropterSolver::ExplicitTropterProblem</a>&lt; T &gt;::initialize_on_mesh </td>
          <td>(</td>
          <td class="paramtype">const Eigen::VectorXd &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Moco/tropter/TropterProblem.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1MocoTropterSolver.html">MocoTropterSolver</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">ExplicitTropterProblem</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:26 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
